import * as THREE from 'three'
import Proyector from './Proyector'
import React, { useRef } from 'react'
import ObraAudio from '../../ObraAudio'

export default function Model(props: JSX.IntrinsicElements['group']) {
  const group = useRef<THREE.Group>()
  return (
    <group ref={group} {...props} dispose={null}>
      <Proyector videoSrc="/video/daniela.mp4" />
      <ObraAudio url="/audio/daniela.ogg" loop distance={0.5} position={[1, 1, 1]} />
    </group>
  )
}
